/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * @(#)SimpleEndpointImpl.java	1.2	04/11/17
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2113;

import javax.xml.ws.WebServiceException;
import javax.jws.WebService;

@WebService(
    portName="SimpleEndpointPort",
    serviceName="SimpleTest",
    targetNamespace="http://simpletestservice.org/wsdl",
    wsdlLocation="WEB-INF/wsdl/W2JRLR2113TestService.wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2113.SimpleEndpoint"
)


public class SimpleEndpointImpl implements SimpleEndpoint{
    public String helloWorld() {
        return "hello world";
    }

    public StringArray arrayOperation() {
        StringArray sa =  new StringArray();
        sa.getString().add("one");
        sa.getString().add("two");
        sa.getString().add("three");
        return sa;
    }

    public String arrayOperationFromClient(StringArray array) {
        return "success";
    }
}
